/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
/**
 * @hidden
 */
export let OthersCategoryContext = /*@__PURE__*/ (() => {
    class OthersCategoryContext extends Base {
        constructor() {
            super(...arguments);
            this._items = null;
        }
        get items() {
            return this._items;
        }
        set items(a) {
            this._items = a;
        }
        static b(a, b) {
            let c = null;
            if (b != null && b.dp.j.ae != null) {
                c = b.dp.j.ae.getExternal(a, null, null);
            }
            return c;
        }
    }
    OthersCategoryContext.$t = markType(OthersCategoryContext, 'OthersCategoryContext');
    return OthersCategoryContext;
})();
